package ru.micord.ervu.security.esia.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class PersonModel implements Serializable {

  private static final long serialVersionUID = 1L;

  private String prnsId;

  private String rIdDoc;

  private String lastName;

  private String firstName;

  private String middleName;

  private String birthDate;

  private String snils;

  private PassportModel passportModel;

  public String getPrnsId() {
    return prnsId;
  }

  public void setPrnsId(String prnsId) {
    this.prnsId = prnsId;
  }

  public String getrIdDoc() {
    return rIdDoc;
  }

  public void setrIdDoc(String rIdDoc) {
    this.rIdDoc = rIdDoc;
  }

  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public String getMiddleName() {
    return middleName;
  }

  public void setMiddleName(String middleName) {
    this.middleName = middleName;
  }

  public String getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(String birthDate) {
    this.birthDate = birthDate;
  }

  public String getSnils() {
    return snils;
  }

  public void setSnils(String snils) {
    this.snils = snils;
  }

  public PassportModel getPassportModel() {
    return passportModel;
  }

  public void setPassportModel(PassportModel passportModel) {
    this.passportModel = passportModel;
  }

  @Override
  public String toString() {
    return firstName + " " + middleName + " " + lastName + " " + birthDate + " " + snils + " "
           + passportModel.getNumber() + " " + passportModel.getSeries() + " "
           + passportModel.getIssuedBy() + " " + passportModel.getIssueId() + " "
           + passportModel.getIssueDate();
  }
}
